Обход ограничений безопасности в Futomi's CGI Cafe Search CGI

Дата публикации:
23.01.2009
Дата изменения:
23.01.2009
Всего просмотров:
2123
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Futomi's CGI Cafe Search CGI 1.x
Уязвимые версии: Futomi's CGI Cafe Search CGI 1.1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за того, что приложение не проверяет наличие аутентификации пользователя при вызове функции "PasswdChange()" в сценарии admin.cgi, когда параметр "a" установлен в значение "pass_new". Удаленный пользователь может изменить значения "ADMIN_ID" и "PASS" и получить административные привилегии в приложении.

URL производителя: www.futomi.com/library/ftsearch/index.html

Решение: Установите последнюю версию 1.1.3 с сайта производителя.

Ссылки: http://jvn.jp/jp/JVN80771386/index.html
http://www.futomi.com/library/info/2009/20090123.html

или введите имя

CAPTCHA